Bug 13451 - Holidays.t assumes default data
Summary: Holidays.t assumes default data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-12 16:30 UTC by M. Tompsett
Modified: 2016-06-21 21:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13451: Holidays.t assumes default data (2.76 KB, patch)
2014-12-12 16:56 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13451: Holidays.t assumes default data (2.83 KB, patch)
2014-12-13 17:08 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13451: Holidays.t assumes default data (2.92 KB, patch)
2014-12-14 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2014-12-12 16:30:15 UTC
With rollback and non-commit capabilities, we should be able to have prove t/db_dependent/Holidays.t pass without having loaded default data! This will fix that.
Comment 1 M. Tompsett 2014-12-12 16:56:22 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2014-12-13 17:08:43 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-14 20:15:48 UTC
Created attachment 34379 [details] [review]
[PASSED QA] Bug 13451: Holidays.t assumes default data

This patch removes that assumption by expressly setting data
to be default.

TEST PLAN
---------
1) Ensure that branch code is NOT 'MPL' in the
   repeatable_holidays table in your database.
2) Ensure that branch codes 'MPL' and 'CPL' do not exist
   in the branches table in your database.
3) prove t/db_dependent/Holidays.t
   -- this should bomb horribly.
4) Apply patch
5) prove t/db_dependent/Holidays.t
   -- all tests should succeed.
6) run koha qa tests

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tests pass without holidays in the calendar.
Comment 4 Tomás Cohen Arazi 2014-12-17 22:33:36 UTC
Patch pushed to master.

Thanks Mark!
Comment 5 Chris Cormack 2014-12-18 00:10:58 UTC
No string changes, pushed to 3.18.x will be in 3.18.2